Jump to
Ctrl
+
/

Get Vault Account by ID

GET
/vaults/{vaultId}/vault-accounts/{vaultAccountId}/details

Retrieve detailed information about a specific Vault Account.

Path Parameters

vaultAccountId string Required

The unique id of the Vault Account.

vaultId string Required

The ID of the vault for which a Vault Account is created.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
addressesCount string Required

The total number of addresses associated with this Vault Account.

12
balances array Items (object) Required
assetId string Required

The specific id of the assets.

6913471c6b2794841dc8fb7e
assetName string Required

Full name of the asset (e.g., Ethereum, Base, Optimism, Tron, Bitcoin, Dogecoin,).

Ethereum
assetUnit string Required

The commonly used symbol for the asset (e.g., ETH, BTC, TRX, BNB).

ETH
blockchain string Required

The blockchain network where this asset resides (e.g., ethereum, bitcoin, optimism, tron, binance-smart-chain).

ethereum
exchangeRateUnit string Required

The pricing unit used when calculating exchange rates.

USD
latestExchangeRateToUSD string Required

The latest exchange rate of the asset to USD.

2822.59
totalAmount string Required

The total amount of this asset held in the Vault Account.

0.123
createdAt integer Required

The UNIX timestamp indicating when the Vault Account was first created.

1760088530
index string Required

The sequential index of this Vault Account within its parent Vault.

1
isFavorityInDashboard boolean Required

Indicates whether the Vault Account has been marked as a "favorite" in the dashboard.

true
isHiddenInDashboard boolean Required

Specifies whether this Vault Account is hidden from the main dashboard view.

false
vaultAccountColour string Required

A HEX color value used to uniquely visually style this Vault Account in dashboards.

#00A3BF
vaultAccountId string Required

The unique id of the Vault Account.

69382b15411179000710d73e
vaultAccountName string Required

The name of the Vault Account.

Vault Account Name
vaultId string Required

The id of the Vault to which this Vault Account belongs.

68dfae9739a4b80007c4f706

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "addressesCount": "12",
            "balances": [
                {
                    "assetId": "6913471c6b2794841dc8fb7e",
                    "assetName": "Ethereum",
                    "assetUnit": "ETH",
                    "blockchain": "ethereum",
                    "exchangeRateUnit": "USD",
                    "latestExchangeRateToUSD": "2822.59",
                    "totalAmount": "0.123"
                }
            ],
            "createdAt": 1760088530,
            "index": "1",
            "isFavorityInDashboard": true,
            "isHiddenInDashboard": false,
            "vaultAccountColour": "#00A3BF",
            "vaultAccountId": "69382b15411179000710d73e",
            "vaultAccountName": "Vault Account Name",
            "vaultId": "68dfae9739a4b80007c4f706"
        }
    }
}